<?php

namespace Vendtics\App\DTO\Contact;

defined( "ABSPATH" ) || exit;

use Vendtics\WpMVC\DTO\DTO;

class TagReadDTO extends DTO {
    private int $page = 1;

    private int $per_page = 10;

    private ?string $search;

    private ?array $orders = [];

    /**
     * Get the value of page
     *
     * @return int
     */
    public function get_page(): int {
        return $this->page;
    }

    /**
     * Set the value of page
     *
     * @param int $page 
     *
     * @return self
     */
    public function set_page( int $page ): self {
        $this->page = $page;

        return $this;
    }

    /**
     * Get the value of per_page
     *
     * @return int
     */
    public function get_per_page(): int {
        return $this->per_page;
    }

    /**
     * Set the value of per_page
     *
     * @param int $per_page 
     *
     * @return self
     */
    public function set_per_page( int $per_page ): self {
        $this->per_page = $per_page;

        return $this;
    }

    /**
     * Get the value of search
     *
     * @return ?string
     */
    public function get_search(): ?string {
        return $this->search;
    }

    /**
     * Set the value of search
     *
     * @param ?string $search 
     *
     * @return self
     */
    public function set_search( ?string $search ): self {
        $this->search = $search;

        return $this;
    }

    /**
     * Get the value of orders
     *
     * @return ?array
     */
    public function get_orders(): ?array {
        return $this->orders;
    }

    /**
     * Set the value of orders
     *
     * @param ?array $orders 
     *
     * @return self
     */
    public function set_orders( ?array $orders ): self {
        $this->orders = $orders;

        return $this;
    }
}